# Uses of Enum
org.italiangrid.voms.util.CredentialsUtils.PrivateKeyEncoding

Packages that use CredentialsUtils.PrivateKeyEncoding
Package
Description
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of CredentialsUtils.PrivateKeyEncoding in org.italiangrid.voms.util

Fields in org.italiangrid.voms.util declared as CredentialsUtils.PrivateKeyEncoding
Modifier and Type
Field
Description
`static final CredentialsUtils.PrivateKeyEncoding`
CredentialsUtils.`DEFAULT_ENCONDING`
The default encoding used when no encoding is specified by callers.
Methods in org.italiangrid.voms.util that return CredentialsUtils.PrivateKeyEncoding
Modifier and Type
Method
Description
`static CredentialsUtils.PrivateKeyEncoding`
CredentialsUtils.PrivateKeyEncoding.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CredentialsUtils.PrivateKeyEncoding[]`
CredentialsUtils.PrivateKeyEncoding.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.italiangrid.voms.util with parameters of type CredentialsUtils.PrivateKeyEncoding
Modifier and Type
Method
Description
`static void`
CredentialsUtils.`savePrivateKey(OutputStream os, PrivateKey key, CredentialsUtils.PrivateKeyEncoding encoding)`
Serializes a private key to an output stream according to an encoding.
`static void`
CredentialsUtils.`saveProxyCredentials(OutputStream os, eu.emi.security.authn.x509.X509Credential uc, CredentialsUtils.PrivateKeyEncoding encoding)`
Saves user credentials as a plain text PEM data.
`static void`
CredentialsUtils.`saveProxyCredentials(String proxyFileName, eu.emi.security.authn.x509.X509Credential uc, CredentialsUtils.PrivateKeyEncoding encoding)`
Saves proxy credentials to a file.